#include "debugprint_dx9.h"
#include "renderdevice_dx9.h"

DebugPrintDX9::DebugPrintDX9() {
	IDirect3DDevice9 *pDev = RenderDeviceDX9::get();

	D3DXFONT_DESCA lf = {24, 0, 0, 1, 0, SHIFTJIS_CHARSET, OUT_TT_ONLY_PRECIS, PROOF_QUALITY, FIXED_PITCH | FF_MODERN, "lr SVbN"};
	D3DXCreateFontIndirectA(pDev, &lf, &font);
}

DebugPrintDX9::~DebugPrintDX9() {
}

// `
void DebugPrintDX9::print(int x, int y, const char* text) {
	RECT r = {x, y, x + 640, y + 480};
	font->DrawTextA(NULL, text, -1, &r, DT_LEFT | DT_NOCLIP, 0xffffffff);
}
