#include <windows.h>
#include <tchar.h>
#include "Application.h"
#include "win32/renderdevice_win32.h"

TCHAR gName[100] = _T("OXGame for Win32");


LRESULT CALLBACK WndProc(HWND hWnd, UINT mes, WPARAM wParam, LPARAM lParam){
	if(mes == WM_DESTROY) {PostQuitMessage(0); return 0;}
	return DefWindowProc(hWnd, mes, wParam, lParam);
}

int APIENTRY _tWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPTSTR lpCmdLine, int nCmdShow)
{
	MSG msg; HWND hWnd;
	WNDCLASSEX wcex ={sizeof(WNDCLASSEX), CS_HREDRAW | CS_VREDRAW, WndProc, 0, 0, hInstance, NULL, NULL, (HBRUSH)(COLOR_WINDOW+1), NULL, (TCHAR*)gName, NULL};
	if(!RegisterClassEx(&wcex))
		return 0;

	if(!(hWnd = CreateWindow(gName, gName, WS_OVERLAPPEDWINDOW, CW_USEDEFAULT, 0, 400, 300, NULL, NULL, hInstance, NULL)))
		return 0;

	// HWNDo^
	RenderDeviceWin32::set(hWnd);

	// AvP[V쐬
	Application app;

	// C bZ[W [v
	ShowWindow(hWnd, nCmdShow);
	do{
		if (PeekMessage(&msg, NULL, 0, 0, PM_REMOVE) ) {
			TranslateMessage(&msg);
			DispatchMessage(&msg);

		} else
			app.gameLoop();

	} while(msg.message != WM_QUIT);

	return 0;
}